/************************************************************************************
 *	hcmerrs.h
 *		This file contains error definitions for the HyperContentManager.
 *	
 *	Copyright:	 1996 by Adobe Systems, Inc., all rights reserved.
 *
 * $Revision:   1.4  $
 *
 *
 ************************************************************************************/



#if !defined( HCMERRS_H )
	#define HCMERRS_H
	


	/************************************************************************************
									Public definitions
	************************************************************************************/
	//($defines)
	#define kHcmBaseErrorRange  25000
	#define kHcmGeneralRange  ( kHcmBaseErrorRange )
	#define kHcmBaseMgrRange  ( kHcmBaseErrorRange + 100 )
	#define kHcmBaseContentBossRange  ( kHcmBaseErrorRange + 200 )
	#define kHcmBasePanelBossRange  ( kHcmBaseErrorRange + 300 )
	#define kHcmBaseStorageBossRange  ( kHcmBaseErrorRange + 400 )
	#define kHcmBaseListRange  ( kHcmBaseErrorRange + 500 )
	#define kHcmBasePageMakerRange  ( kHcmBaseErrorRange + 600 )
	


	/************************************************************************************
									Public errors
	************************************************************************************/
	//($errors)
    enum HcmErr 
    {
        kHcmSizeReserveErr =  0xFFFFFFFF, 
    		//
    		// generic errors
    		//
        kHcmSUCCESS =  0,
        kHcmFAILURE =  1,
    		//
    		// general errors
    		//
        kHcmInputParamErr =  kHcmBaseErrorRange + 0,
        kHcmNotImplementedYet = kHcmBaseErrorRange + 1, 
        kHcmMemoryShortage = kHcmBaseErrorRange + 2, 
        kHcmUserCancelledOperation = kHcmBaseErrorRange + 3, 
        	//
        	// manager errors
        	//
        kHcmPubNotOpenErr =  kHcmBaseMgrRange + 0,
        kHcmContextListEmpty = kHcmBaseMgrRange + 1, 
        kHcmIncorrectContext = kHcmBaseMgrRange + 2, 
        	//
        	// content boss errors
        	//
        kHcmContentTypeAlreadyRegistered =  kHcmBaseContentBossRange + 0,
        kHcmContentTypeNotFound = kHcmBaseContentBossRange + 1, 
        	//
        	// panel boss errors
        	//
        kHcmInvalidProcedure = kHcmBasePanelBossRange + 0,
        kHcmUserCancelled = kHcmBasePanelBossRange + 1,
        	//
        	// storage boss errors
        	//
        kHcmMainStorageDoesntExist = kHcmBaseStorageBossRange + 0,
        kHcmMainStorageBad = kHcmBaseStorageBossRange + 1,
        kHcmStorageNotOpen = kHcmBaseStorageBossRange + 2,
        kHcmStreamNotOpen = kHcmBaseStorageBossRange + 3,
        kHcmStreamWayTooBig = kHcmBaseStorageBossRange + 4,
        kHcmBufferTooSmall = kHcmBaseStorageBossRange + 5,
        kHcmMoreDataThanWillFit = kHcmBaseStorageBossRange + 6,
        kHcmStreamEmpty = kHcmBaseStorageBossRange + 7,
        kHcmAlreadyOpen = kHcmBaseStorageBossRange + 8,
        kHcmAlreadyClosed = kHcmBaseStorageBossRange + 9,
        kHcmRefCountNotZero = kHcmBaseStorageBossRange + 10,
        kHcmReadWriteFailure = kHcmBaseStorageBossRange + 11,
        kHcmNotEnoughDataLeft = kHcmBaseStorageBossRange + 12,
        	//
        	// list errors
        	//
        kHcmNameExistsAlready = kHcmBaseListRange + 0, 
        kHcmNameIsReadOnly = kHcmBaseListRange + 1, 
        kHcmAssignmentIsReadOnly = kHcmBaseListRange + 2, 
        kHcmInvalidObjectDescribed = kHcmBaseListRange + 3, 
        kHcmPmRecAlreadyInList = kHcmBaseListRange + 4, 
        kHcmPmRecIsInvalid = kHcmBaseListRange + 5, 
        kHcmNoRelationshipList = kHcmBaseListRange + 6, 
        kHcmElementAlreadyInList = kHcmBaseListRange + 7, 
        kHcmNotFoundInList = kHcmBaseListRange + 8, 
        kHcmEmptyNameString = kHcmBaseListRange + 9, 
        	//
        	// PageMaker-related errors
        	//
        kHcmSegmentNotSelected = kHcmBasePageMakerRange + 0, 
        kHcmUrlInvalid = kHcmBasePageMakerRange + 1, 
        kHcmIndexTocNotAllowed = kHcmBasePageMakerRange + 2, 
        kHcmPubPossiblyCorrupt = kHcmBasePageMakerRange + 3 
	};
	typedef enum HcmErr HcmErr;



#endif /* HCMERRS_H */
