/*
 *--- PageMakerKeywords.h -------------------------------------------
 * Copyright 1990-96 Adobe Systems Inc.  All rights reserved.
 *
 * Constants for various command parameters.
 *
 * $Revision:   1.8  $
 *
 * $Author:   PMBuilder  $
 * $Date:   04 Oct 1996 10:19:44  $
 * $Log:   PMBuilds:CM:BASELINE:pmsdk:includes:vcs:pmkey.hv  $
 * 
 *
 * 
 *-------------------------------------------------------------------
 */

#ifndef __PageMakerKeywords__
#define __PageMakerKeywords__

#ifndef __PageMakerCommands__
#include "PMCommands.h"
#endif __PageMakerCommands__

#ifdef __MWERKS__
#pragma once
#endif

#define pm_a_keyword    pm_nullcommand + 5000
#define pm_b_keyword    pm_nullcommand + 5100
#define pm_c_keyword    pm_nullcommand + 5200
#define pm_d_keyword    pm_nullcommand + 5300
#define pm_e_keyword    pm_nullcommand + 5400
#define pm_f_keyword    pm_nullcommand + 5500
#define pm_g_keyword    pm_nullcommand + 5600
#define pm_h_keyword    pm_nullcommand + 5700
#define pm_i_keyword    pm_nullcommand + 5800
#define pm_j_keyword    pm_nullcommand + 5900
#define pm_k_keyword    pm_nullcommand + 6000
#define pm_l_keyword    pm_nullcommand + 6100
#define pm_m_keyword    pm_nullcommand + 6200
#define pm_n_keyword    pm_nullcommand + 6300
#define pm_o_keyword    pm_nullcommand + 6400
#define pm_p_keyword    pm_nullcommand + 6500
#define pm_q_keyword    pm_nullcommand + 6600
#define pm_r_keyword    pm_nullcommand + 6700
#define pm_s_keyword    pm_nullcommand + 6800
#define pm_t_keyword    pm_nullcommand + 6900
#define pm_u_keyword    pm_nullcommand + 7000
#define pm_v_keyword    pm_nullcommand + 7100
#define pm_w_keyword    pm_nullcommand + 7200
#define pm_x_keyword    pm_nullcommand + 7300
#define pm_y_keyword    pm_nullcommand + 7400
#define pm_z_keyword    pm_nullcommand + 7500

#define pm_maxkeyword   pm_nullcommand + 7999



#define parm_default    -1  // use default... whatever that happens to be
#define parm_dontcare   -2  // I don't care about this, leave it alone, or does not apply
#define parm_none     0
#define parm_normal     0

#define parm_left     0
#define parm_center     1
#define parm_right      2
#define parm_top      3
#define parm_bottom     4

#define align_left      0 /* alignment for Alignment and Tabs */
#define align_center    1
#define align_right     2
#define align_justify   3
#define align_force     4
#define align_decimal   3

#define auto_none     0 /* auto renumbering mode for Book */
#define auto_next     1
#define auto_nextodd    2
#define auto_nexteven   3

#define bump_upone      0 /* bump text size for SizeBump */
#define bump_downone    1
#define bump_upnext     2
#define bump_downnext   3

#define case_normal     0 /* type case for Case */
#define case_allcaps    1
#define case_smallcaps    2

#define closestory_discard  0 // close story command
#define closestory_place  1

#define color_rgb     0 // color models for DefineColor
#define color_cmyk      1
#define color_hls     2
#define color_pantone   2 // obsolete
#define color_lab     3
#define color_multi_ink 4
#define color_rgb255		5	// Starting w/ 6.0, RGB colors are now spec'd
									// as 0 to 255, as opposed to 0 to 100%. color_rgb
									// is used for 0 to 100% backward compatibility.
									// color_rgb255 is used for new 0 to 255 scale.


#define color_type_spot   0 // color types for DefineColor
#define color_type_process  1
#define color_type_tint   2
#define color_type_hifi   3

#define column_bothpages  0 /* pages for column guides and move column */
#define column_leftpage   1
#define column_rightpage  2

#define style_palette     	1 	// doSuppressPalDraw
#define color_palette     	2 	// doSuppressPalDraw
#define control_palette  	3 	// doSuppressPalDraw
#define	master_palette		4	// doSuppressPalDraw
#define layer_palette		5	// doSuppressPalDraw
#define hyperlink_palette	6	// doSuppressPalDraw

#define copy_none     0 /* copy files for SaveAs */
#define copy_remote     1
#define copy_linked     2

#define download_psandtt	1	/* Option for printoptionsps command */
#define download_ttonly		2	/* Option for printoptionsps command */

#define edge_left     0 /* object edges for various commands */
#define edge_center     1
#define edge_right      2
#define edge_top      3
#define edge_bottom     4
#define edge_lefttop    5
#define edge_leftbottom   6
#define edge_righttop   7
#define edge_rightbottom  8

#define env_fontmetrics   1 // bit flags for ChangeEnv
#define env_installedfonts  2
#define env_additions   4
#define env_plugins   4

#define fcs_selectedtext  0 // for find, change, spell commands
#define fcs_currentstory  1
#define fcs_allstories    2
#define fcs_stopatend   0
#define fcs_wrap      1
#define fcs_window_close  0
#define fcs_window_open   1

#define fc_anycase      0 // for find and change commands
#define fc_matchcase    1
#define fc_allinstances   0
#define fc_wholeword    1
#define fc_useattributes  0
#define fc_clear      1

#define fc_attr_any       -3 // for findattr and changeattr commands
#define fc_attr_normalstyle   0 
#define fc_attr_boldstyle   1
#define fc_attr_italicstyle   2
#define fc_attr_underlinestyle  4
#define fc_attr_strikethrustyle 8
#define fc_attr_outlinestyle  16
#define fc_attr_shadowstyle   32
#define fc_attr_reversestyle  64
#define fc_attr_allcap      1
#define fc_attr_smallcap    2

#define fill_none     0 /* fill style for FillStyle */
#define fill_paper      1
#define fill_solid      2
#define fill_tenpct     3
#define fill_twentypct    4
#define fill_thirtypct    5
#define fill_fortypct   6
#define fill_sixtypct   7
#define fill_eightypct    8
#define fill_vertfew    9
#define fill_vertlots   10
#define fill_horizfew   11
#define fill_horizlots    12
#define fill_diagfew    13
#define fill_diaglots   14
#define fill_hashfew    15
#define fill_hashlots   16

#define flow_break      0 /* text flow for TextWrap */
#define flow_jumpover   1
#define flow_allsides   2

#define graphics_display_gray   0 /* graphic display preferences */
#define graphics_display_normal   1
#define graphics_display_highres  2

#define guides_front    0 /* guide layer preference */
#define guides_back     1

#define hyph_manualonly   1 /* method for Hyphenation */
#define hyph_plusdictionary 2
#define hyph_plusalgorithm  3

#define index_nested    0 /* format for IndexFormat */
#define index_runin     1

#define kern_none     0 /* kerning amount for ManualKerning */
#define kern_closerfine   1
#define kern_apartfine    2
#define kern_closercoarse 3
#define kern_apartcoarse  4

#define lead_proportional 0 /* leading method for SpacingOptions */
#define lead_topofcaps    1
#define lead_baseline   2

#define line_none     0 /* line style for LineStyle and RuleAbove/Below */
#define line_hairline   1
#define line_halfpoint    2
#define line_onepoint   3
#define line_twopoint     4
#define line_fourpoint    5
#define line_sixpoint   6
#define line_eightpoint   7
#define line_twelvepoint  8
#define line_thinthin   9
#define line_thickthin    10
#define line_thinthick    11
#define line_thinthickthin  12
#define line_thindash   13
#define line_mediumdash   14
#define line_thickdash    15
#define line_squares    16
#define line_dots     17
#define line_solid      31

#define measurement_inches  0 /* measurement unit preferences */
#define measurement_decimalinches 1
#define measurement_metric  2
#define measurement_pica  3
#define measurement_cicero  4
#define measurement_custom  5

#define newpages_before   0 /* insertion location for InsertPages */
#define newpages_after    1
#define newpages_between  2

#define num_arabic      0 /* number types for PageNumbers */
#define num_upperroman    1
#define num_lowerroman    2
#define num_upperalpha    3
#define num_loweralpha    4
#if	defined(CJK)
#define	num_fullwidth		1000
#define	num_ideographic		1001
#endif

#define page_LM       -3  /* non-numeric page numbers for Page */
#define page_RM       -4
#define page_next     -5
#define page_prev     -6

#define place_independent 0 /* placement options for Place */
#define place_newstory    0
#define place_replaceentire 1
#define place_inlinegraphic 1
#define place_inserttext  2
#define place_replacetext 2

#define parm_horizontal   1
#define parm_vertical   2

#define position_normal   0 /* type position for Position */
#define position_superscript 1
#define position_subscript  2

#define preserve_line   0 // hints for FontDrawing
#define preserve_char   1

#define	psmemory_normal		parm_normal	/* reserved EPS memory preference */
#define	psmemory_maximum	1

#define render_clip_in		0	/* settings for RenderClip command */
#define render_clip_out		1

#define save_faster     0 /* save option for Preferences */
#define save_smaller    1

#define inknd_default		0	/* ink ND in ink setup dialog */
#define inknd_set			1

#define style_normal    0 /* TypeStyles */
#define style_bold      1
#define style_italic    2
#define style_underline   3
#define style_outline   4
#define style_shadow    5
#define style_strikethru  6
#define style_reverse   7

#define textamt_charfor   0 /* amount for TextSelect and TextCursor */
#define textamt_charback  1
#define textamt_wordfor   2
#define textamt_wordback  3
#define textamt_linefor   4
#define textamt_lineback  5
#define textamt_parafor   6
#define textamt_paraback  7
#define textamt_holefor   8
#define textamt_holeback  9
#define textamt_storyfor  10
#define textamt_storyback 11
#define textamt_eolfor    12
#define textamt_eolback   13
#define textamt_sentfor   14
#define textamt_sentback  15
#define textamt_runfor    16
#define textamt_runback   17
#define textamt_all     18

#define toc_nopgnums    0 /* format for CreateTOC */
#define toc_pgnumsbefore  1
#define toc_pgnumsafter   2

#define track_notrack   0 /* kerning track for Track */
#define track_vloose    1
#define track_loose     2
#define track_normal    3
#define track_tight     4
#define track_vtight    5

#define view_fit      -3  /* non-percentage choices for View */
#define view_pasteboard   -4

#define wrap_none     0 /* wrap option for TextWrap */
#define wrap_rect     1
#define wrap_irregular    2
#define wrap_custom     2 /* duplicate, should be removed someday */

#define wrap_layeroff	0
#define wrap_layeron	1
#define wrap_mixed		-2

#define	paste_text				0	/* format option for pastespecial (PM5) */
#define	paste_rtf				1
#define	paste_eps				2
#define	paste_external			3
#define	paste_colortron_colors	4	// mac only
#define	paste_objectembed		5
#define	paste_objectlink		6
#define	paste_pict				7	/* mac only */
#define	paste_metafile			8	/* mac only */
#define	paste_tiff				9	/* win only */
#define	paste_bitmap			10	/* win only */
#define paste_enhmetafile		11	// win only
#define paste_dib				12	// win only

/* the following are enums for various command parameters used only by
 * the appropriate command action routines.
 */

#define select_loc    0
#define select_num    1
#define select_id   2

//Keywords for tool command which activates a tool from the toolbox
// if you change these defines, also  change them in  shelldef.h 
#define pointerTool				1
#define txtTool					2
#define rotationTool			3
#define cropTool				4
#define diagLineTool			5
#define perpLineTool			6
#define roundedRectTool			7
#define roundedRectFrameTool	8
#define ovalTool				9
#define ovalFrameTool			10
#define polygonTool				11
#define polygonFrameTool		12
#define grabberTool				13
#define zoomTool				14

// Old tool ids from PM6 and earlier. Used in QueryCurrentTool and doToolSelect
#define pointerToolOld			1
#define txtToolOld				2
#define ovalToolOld				3
#define roundedRectToolOld		4
#define diagLineToolOld			5
#define perpLineToolOld			6
#define polygonToolOld			7
#define zoomToolOld				8
#define rotationToolOld			9
#define cropToolOld				10
#define	lastToolOld				10

/* Keywords for newlayer, layeroptions, getlayeroptions, getlayerlist.
 * Must match CUSTOMCOLORINDEX in layers.h
 */
#define customColorLayer		27

// Information on which hyperlinks to get
#define linkHyperlink			0x0001		// TOC link
#define indexHyperlink			0x0002		// index link
#define internalHyperlink		0x0004		// internal link
#define externalURLHyperlink	0x0008		// external URL link
#define externalFileHyperlink	0x0010		// external file link
#define linkBookmark			0x0020		// TOC bookmark
#define indexBookmark			0x0040		// index bookmark
#define linkTitleBookmark		0x0080		// TOC title bookmark
#define indexTitleBookmark		0x0100		// index title bookmark
#define predefinedData			0x0200		// pdfmark info in private data
#define allInOneQuery			0x1000		// reserved

// Keywords for image save command
#define	imsave_format_tiff			0
#define	imsave_format_jpeg			1
#define	imsave_format_gif			2
#define	imsave_format_dcs			3

#define	imsave_notrelink			0
#define	imsave_relink				1

#define	imsave_notembedprofile		0
#define	imsave_embedprofile			1

#define	imsave_notsavecrop			0
#define	imsave_savecrop				1

#define	imsave_notsavesep			0
#define	imsave_savesep				1

#define imsave_tiffcompr_none		0
#define imsave_tiffcompr_moderate	1
#define imsave_tiffcompr_max		2
#define imsave_tiffcompr_maxlossy	3

#define	imsave_tiffprvw_none		0
#define	imsave_tiffprvw_draft		1
#define	imsave_tiffprvw_best		2

#define	imsave_tiffdata_base		0
#define	imsave_tiffdata_sep			1
#define	imsave_tiffdata_largeimage	2

#define	imsave_tiffdepth_1bit		0
#define	imsave_tiffdepth_4bit		1
#define	imsave_tiffdepth_8bit		2
#define	imsave_tiffdepth_mils		3

#define	imsave_tiff_notstrict6		0
#define	imsave_tiff_strict6			1

#define	imsave_jpegqual_low			0
#define	imsave_jpegqual_med			1
#define	imsave_jpegqual_high		2
#define	imsave_jpegqual_max			3

#define	imsave_jpegres_image		0
#define	imsave_jpegres_screen		1

#define	imsave_jpeg_cmyk2cmyk		0
#define	imsave_jpeg_cmyk2rgb		1

#define	imsave_gifdepth_4			0
#define	imsave_gifdepth_8			1
#define	imsave_gifdepth_16			2
#define	imsave_gifdepth_32			3
#define	imsave_gifdepth_64			4
#define	imsave_gifdepth_128			5
#define	imsave_gifdepth_256			6

#define	imsave_gifpal_exact				0
#define	imsave_gifpal_adaptiveDither	1
#define	imsave_gifpal_adaptiveNoDither	2
#define	imsave_gifpal_netscape			3
#define	imsave_gifpal_system			4

#define	imsave_gifres_image			0
#define	imsave_gifres_screen		1

#define	imsave_giftrans_none		0
#define	imsave_giftrans_white		1
#define	imsave_giftrans_black		2

#define	imsave_gif_notinterlaced	0
#define	imsave_gif_interlaced		1

#define	imsave_dcs_binary			0
#define	imsave_dcs_ascii			1

#define	imsave_dcs_singlefile		0
#define	imsave_dcs_multifile		1

#define	imsave_dcspsprvw_none		0
#define	imsave_dcspsprvw_72dpi		1
#define	imsave_dcspsprvw_full		2

#define	imsave_dcsdspprvw_none		0
#define	imsave_dcsdspprvw_1bit		1
#define	imsave_dcsdspprvw_8bit		2
#define	imsave_dcsdspprvw_24bit		3

enum { // keyword enums


	// 'A' Keywords:
	pm_additions 			= (pm_a_keyword + 0),
	pm_after 				= (pm_a_keyword + 1),
	pm_all 					= (pm_a_keyword + 2),
	pm_allcaps 				= (pm_a_keyword + 3),
	pm_allpages 			= (pm_a_keyword + 13),
	pm_allsides 			= (pm_a_keyword + 4),
	pm_apartcoarse 			= (pm_a_keyword + 5),
	pm_apartfine 			= (pm_a_keyword + 6),
	pm_arabic 				= (pm_a_keyword + 7),
	pm_aslowercase 			= (pm_a_keyword + 8),
	pm_astyped 				= (pm_a_keyword + 9),
	pm_auto 				= (pm_a_keyword + 10),
	pm_autooverlap 			= (pm_a_keyword + 11),
	pm_autotiling 			= (pm_a_keyword + 12),
// pm_allpages added at last minute as pm_a_keyword + 13; next keyword must be +14
	pm_allinstances 		= (pm_a_keyword + 14),
	pm_allstories 			= (pm_a_keyword + 15),
	pm_any 					= (pm_a_keyword + 16),
	pm_anycase 				= (pm_a_keyword + 17),

	// 'B' Keywords:
	pm_back 				= (pm_b_keyword + 0),
	pm_baseline 			= (pm_b_keyword + 1),
	pm_before 				= (pm_b_keyword + 2),
	pm_between 				= (pm_b_keyword + 3),
	pm_bold 				= (pm_b_keyword + 4),
	pm_kbook 				= (pm_b_keyword + 5),
	pm_both 				= (pm_b_keyword + 6),
	pm_bothpages 			= (pm_b_keyword + 7),
	pm_bottom 				= (pm_b_keyword + 8),
	pm_binary 				= (pm_b_keyword + 9),
	pm_bitmap 				= (pm_b_keyword + 10),
	pm_bottomleft 			= (pm_b_keyword + 11),
	pm_bottomright 			= (pm_b_keyword + 12),
	pm_boldstyle 			= (pm_b_keyword + 13),

	// 'C' Keywords:
	pm_center 				= (pm_c_keyword + 0),
	pm_char 				= (pm_c_keyword + 1),
	pm_ciceros 				= (pm_c_keyword + 2),
	pm_closercoarse 		= (pm_c_keyword + 3),
	pm_closerfine 			= (pm_c_keyword + 4),
	pm_cmyk 				= (pm_c_keyword + 5),
	pm_colorPalette 		= (pm_c_keyword +6),
	pm_column 				= (pm_c_keyword + 7),
	pm_columnbreak 			= (pm_c_keyword + 8),
	pm_composite 			= (pm_c_keyword + 9),
	pm_controlpal 			= (pm_c_keyword +10),
	pm_kcopy 				= (pm_c_keyword + 11),
	pm_custom 				= (pm_c_keyword + 12),
	pm_customsolid 			= (pm_c_keyword + 13),
	pm_kclear 				= (pm_c_keyword + 14),
	pm_kclose 				= (pm_c_keyword + 15),
	pm_curstory 			= (pm_c_keyword + 16),
	pm_class_object 		= (pm_c_keyword + 17),
	pm_class_page 			= (pm_c_keyword + 18),
	pm_class_story 			= (pm_c_keyword + 19),
	pm_class_pub 			= (pm_c_keyword + 20),
	pm_class_masterpage 	= (pm_c_keyword + 21),
	pm_colortron 			= (pm_c_keyword + 22),
	pm_constrainedlinetool 	= (pm_c_keyword + 23),
	pm_croptool 			= (pm_c_keyword + 24),
	pm_customhandlecolor 	= (pm_c_keyword + 25),

	// 'D' Keywords:
	pm_decimal 				= (pm_d_keyword + 0),
	pm_default 				= (pm_d_keyword + 1),
	pm_diagfew 				= (pm_d_keyword + 2),
	pm_diaglots 			= (pm_d_keyword + 3),
	pm_dontcare 			= (pm_d_keyword + 4),
	pm_dots 				= (pm_d_keyword + 5),
	pm_down 				= (pm_d_keyword + 6),
	pm_downnext 			= (pm_d_keyword + 7),
	pm_downone 				= (pm_d_keyword + 8),
	pm_discard 				= (pm_d_keyword + 9),
	pm_diaglinetool 		= (pm_d_keyword + 10),
	pm_dibbitmap 			= (pm_d_keyword + 11),
	pm_dcsformat 			= (pm_d_keyword + 12),
	pm_dcsbinary 			= (pm_d_keyword + 13),
	pm_dcsascii 			= (pm_d_keyword + 14),
	pm_dcssinglefile 		= (pm_d_keyword + 15),
	pm_dcsmultifile 		= (pm_d_keyword + 16),
	pm_dcspsprvwnone 		= (pm_d_keyword + 17),
	pm_dcspsprvw72dpi 		= (pm_d_keyword + 18),
	pm_dcspsprvwfull 		= (pm_d_keyword + 19),
	pm_dcsdspprvwnone 		= (pm_d_keyword + 20),
	pm_dcsdspprvw1bit 		= (pm_d_keyword + 21),
	pm_dcsdspprvw8bit 		= (pm_d_keyword + 22),
	pm_dcsdspprvw24bit 		= (pm_d_keyword + 23),

	// 'E' Keywords:
	pm_eightpoint 			= (pm_e_keyword + 0),
	pm_eightypct 			= (pm_e_keyword + 1),
	pm_eol 					= (pm_e_keyword + 2),
	pm_eps 					= (pm_e_keyword + 3),
	pm_even 				= (pm_e_keyword + 4),
	pm_external 			= (pm_e_keyword + 5),
	pm_enhmetafile 			= (pm_e_keyword + 6),
	pm_embedprofile 		= (pm_e_keyword + 7),

	// 'F' Keywords:
	pm_false 				= (pm_f_keyword + 0),
	pm_fast 				= (pm_f_keyword + 1),
	pm_faster 				= (pm_f_keyword + 2),
	pm_fit 					= (pm_f_keyword + 3),
	pm_fitonpaper 			= (pm_f_keyword + 4),
	pm_fontmetrics 			= (pm_f_keyword + 5),
	pm_force 				= (pm_f_keyword + 6),
	pm_fortypct 			= (pm_f_keyword + 7),
	pm_fourpoint 			= (pm_f_keyword + 8),
	pm_fpo 					= (pm_f_keyword + 9),
	pm_front 				= (pm_f_keyword + 10),

	// 'G' Keywords:
	pm_grayout 				= (pm_g_keyword + 0),
	pm_guide 				= (pm_g_keyword + 1),
	pm_grabbertool 			= (pm_g_keyword + 2),
	pm_gifformat 			= (pm_g_keyword + 3),
	pm_gifdepth4 			= (pm_g_keyword + 4),
	pm_gifdepth8 			= (pm_g_keyword + 5),
	pm_gifdepth16 			= (pm_g_keyword + 6),
	pm_gifdepth32 			= (pm_g_keyword + 7),
	pm_gifdepth64 			= (pm_g_keyword + 8),
	pm_gifdepth128 			= (pm_g_keyword + 9),
	pm_gifdepth256 			= (pm_g_keyword + 10),
	pm_gifexact 			= (pm_g_keyword + 11),
	pm_gifadaptivedither 	= (pm_g_keyword + 12),
	pm_gifadaptivenodither 	= (pm_g_keyword + 13),
	pm_gifnetscape 			= (pm_g_keyword + 14),
	pm_gifsystem 			= (pm_g_keyword + 15),
	pm_gifresimage 			= (pm_g_keyword + 16),
	pm_gifresscreen 		= (pm_g_keyword + 17),
	pm_gifnone 				= (pm_g_keyword + 18),
	pm_gifwhite 			= (pm_g_keyword + 19),
	pm_gifblack 			= (pm_g_keyword + 20),
	pm_gifnotinterlaced 	= (pm_g_keyword + 21),
	pm_gifinterlaced 		= (pm_g_keyword + 22),

	// 'H' Keywords:
	pm_hairline 			= (pm_h_keyword + 0),
	pm_halfpoint 			= (pm_h_keyword + 1),
	pm_hashfew	 			= (pm_h_keyword + 2),
	pm_hashlots 			= (pm_h_keyword + 3),
	pm_hex 					= (pm_h_keyword + 4),
	pm_highres 				= (pm_h_keyword + 5),
	pm_hls 					= (pm_h_keyword + 6),
	pm_horizfew 			= (pm_h_keyword + 7),
	pm_horizlots 			= (pm_h_keyword + 8),
	pm_horizontal 			= (pm_h_keyword + 9),
	pm_hifi 				= (pm_h_keyword + 10),
	pm_hyperlinkPalette 	= (pm_h_keyword + 11),

	// 'I' Keywords:
	pm_inches 				= (pm_i_keyword + 0),
	pm_inchesdecimal 		= (pm_i_keyword + 1),
	pm_independent 			= (pm_i_keyword + 2),
	pm_inlinegraphic 		= (pm_i_keyword + 3),
	pm_inserttext 			= (pm_i_keyword + 4),
	pm_intalledfonts 		= (pm_i_keyword + 5),
	pm_italic 				= (pm_i_keyword + 6),
	pm_irregular 			= (pm_i_keyword + 7),
	pm_in 					= (pm_i_keyword + 8),
	pm_italicstyle 			= (pm_i_keyword + 9),
	pm_inknddefault 		= (pm_i_keyword + 10),
	pm_inkndset 			= (pm_i_keyword + 11),

	// 'J' Keywords:
	pm_jumpover 			= (pm_j_keyword + 0),
	pm_justify 				= (pm_j_keyword + 1),
	pm_jpegformat 			= (pm_j_keyword + 2),
	pm_jpegquallow 			= (pm_j_keyword + 3),
	pm_jpegqualmed 			= (pm_j_keyword + 4),
	pm_jpegqualhigh 		= (pm_j_keyword + 5),
	pm_jpegqualmax 			= (pm_j_keyword + 6),
	pm_jpegresimage 		= (pm_j_keyword + 7),
	pm_jpegresscreen 		= (pm_j_keyword + 8),
	pm_jpegcmyk2cmyk 		= (pm_j_keyword + 9),
	pm_jpegcmyk2rgb 		= (pm_j_keyword + 10),

	// 'K' Keywords:
	// 'L' Keywords:
	pm_last 				= (pm_l_keyword + 0),
	pm_left 				= (pm_l_keyword + 1),
	pm_leftbottom 			= (pm_l_keyword + 2),
	pm_leftpage 			= (pm_l_keyword + 3),
	pm_lefttop 				= (pm_l_keyword + 4),
	pm_kline 				= (pm_l_keyword + 5),
	pm_linked 				= (pm_l_keyword + 6),
	pm_lm 					= (pm_l_keyword + 7),
	pm_longedge 			= (pm_l_keyword + 8),
	pm_loose 				= (pm_l_keyword + 9),
	pm_loweralpha 			= (pm_l_keyword + 10),
	pm_lowerroman 			= (pm_l_keyword + 11),
	pm_lowTIFF  			= (pm_l_keyword + 12),
	pm_lab 					= (pm_l_keyword + 13),
	pm_layerPalette 		= (pm_l_keyword + 13),

	// 'M' Keywords:
	pm_manualfeed 			= (pm_m_keyword + 0),
	pm_manualonly 			= (pm_m_keyword + 1),
	pm_manualtiling 		= (pm_m_keyword + 2),
	pm_mediumdash 			= (pm_m_keyword + 3),
	pm_millimeters 			= (pm_m_keyword + 4),
	pm_minisaved 			= (pm_m_keyword + 5),
	pm_mirror 				= (pm_m_keyword + 6),
	pm_metafile 			= (pm_m_keyword + 7),
	pm_matchcase 			= (pm_m_keyword + 8),
	pm_maximum 				= (pm_m_keyword + 9),
	pm_masterPalette 		= (pm_m_keyword + 10),
	pm_multi_ink 			= (pm_m_keyword + 11),

	// 'N' Keywords:
	pm_negative 			= (pm_n_keyword + 0),
	pm_nested 				= (pm_n_keyword + 1),
	pm_knewstory 			= (pm_n_keyword + 2),
	pm_next 				= (pm_n_keyword + 3),
	pm_nexteven 			= (pm_n_keyword + 4),
	pm_nextodd 				= (pm_n_keyword + 5),
	pm_nextpage 			= (pm_n_keyword + 6),
	pm_none 				= (pm_n_keyword + 7),
	pm_nonumber 			= (pm_n_keyword + 8),
	pm_normal 				= (pm_n_keyword + 9),
	pm_normalimage 			= (pm_n_keyword + 10),
	pm_normalpostscript 	= (pm_n_keyword + 11),
	pm_normalres 			= (pm_n_keyword + 12),
	pm_normaltrack 			= (pm_n_keyword + 13),
	pm_notrack 				= (pm_n_keyword + 14),
	pm_numberafter 			= (pm_n_keyword + 15),
	pm_numberbefore 		= (pm_n_keyword + 16),
	pm_numeric 				= (pm_n_keyword + 17),
	pm_normalstyle 			= (pm_n_keyword + 18),
	pm_notrelink 			= (pm_n_keyword + 19),
	pm_notembedprofile 		= (pm_n_keyword + 20),
	pm_notsavecrop 			= (pm_n_keyword + 21),
	pm_notsavesep 			= (pm_n_keyword + 22),

	// 'O' Keywords:
	pm_odd 					= (pm_o_keyword + 0),
	pm_off 					= (pm_o_keyword + 1),
	pm_on 					= (pm_o_keyword + 2),
	pm_onepoint 			= (pm_o_keyword + 3),
	pm_optimized 			= (pm_o_keyword + 4),
	pm_original 			= (pm_o_keyword + 5),
	pm_outline 				= (pm_o_keyword + 6),
	pm_out 					= (pm_o_keyword + 7),
	pm_objectembed 			= (pm_o_keyword + 8),
	pm_objectlink 			= (pm_o_keyword + 9),
	pm_omitTIFF 			= (pm_o_keyword + 10),
	pm_kopen 				= (pm_o_keyword + 11),
	pm_outlinestyle 		= (pm_o_keyword + 12),
	pm_ovaltool 			= (pm_o_keyword + 13),
	pm_ovalframetool 		= (pm_o_keyword + 14),

	// 'P' Keywords:
	pm_pantone 				= (pm_p_keyword + 0),
	pm_paper 				= (pm_p_keyword + 1),
	pm_papertray 			= (pm_p_keyword + 2),
	pm_para 				= (pm_p_keyword + 3),
	pm_pasteboard 			= (pm_p_keyword + 4),
	pm_preprint 			= (pm_p_keyword + 5),
	pm_proof 				= (pm_p_keyword + 6),
	pm_picas 				= (pm_p_keyword + 7),
	pm_plusalgorithm 		= (pm_p_keyword + 8),
	pm_plusdictionary 		= (pm_p_keyword + 9),
	pm_positive 			= (pm_p_keyword + 10),
	pm_preservechar 		= (pm_p_keyword + 11),
	pm_preserveline 		= (pm_p_keyword + 12),
	pm_previous 			= (pm_p_keyword + 13),
	pm_proportional 		= (pm_p_keyword + 14),
	pm_pub 					= (pm_p_keyword + 15),
	pm_pict 				= (pm_p_keyword + 16),
	pm_prev 				= (pm_p_keyword + 17),
	pm_process 				= (pm_p_keyword + 18),
	pm_publication 			= (pm_p_keyword + 19),
	pm_kplace 				= (pm_p_keyword + 20),
	pm_psandtt 				= (pm_p_keyword + 21),
	pm_plugins 				= (pm_p_keyword + 22),
	pm_pointertool 			= (pm_p_keyword + 23),
	pm_polygontool 			= (pm_p_keyword + 24),
	pm_polygonframetool 	= (pm_p_keyword + 25),

	// 'R' Keywords:
	pm_rect 				= (pm_r_keyword + 0),
	pm_remote 				= (pm_r_keyword + 1),
	pm_replaceentire 		= (pm_r_keyword + 2),
	pm_replacetext 			= (pm_r_keyword + 3),
	pm_reverse 				= (pm_r_keyword + 4),
	pm_rgb 					= (pm_r_keyword + 5),
	pm_right 				= (pm_r_keyword + 6),
	pm_rightbottom 			= (pm_r_keyword + 7),
	pm_rightpage 			= (pm_r_keyword + 8),
	pm_righttop 			= (pm_r_keyword + 9),
	pm_rm 					= (pm_r_keyword + 10),
	pm_run 					= (pm_r_keyword + 11),
	pm_runin 				= (pm_r_keyword + 12),
	pm_rtf 					= (pm_r_keyword + 13),
	pm_reversestyle 		= (pm_r_keyword + 14),
// "rgbpct" is the same value as "rgb", but as a new keyword for 6.0, it 
// clarifies the distinction between 0-100% rgb values and 0-255 rgb values.
	pm_rgbpct 				= (pm_r_keyword + 15),
	pm_rgb255 				= (pm_r_keyword + 16),
	pm_rectangletool 		= (pm_r_keyword + 17),
	pm_rotatetool 			= (pm_r_keyword + 18),
	pm_rectangleframetool 	= (pm_r_keyword + 19),
	pm_relinkimage 			= (pm_r_keyword + 20),

	// 'S' Keywords:
	pm_saved 				= (pm_s_keyword + 0),
	pm_scaling 				= (pm_s_keyword + 1),
	pm_sent 				= (pm_s_keyword + 2),
	pm_separations 			= (pm_s_keyword + 3),
	pm_seps 				= (pm_s_keyword + 4),
	pm_shadow 				= (pm_s_keyword + 5),
	pm_shortedge 			= (pm_s_keyword + 6),
	pm_sixpoint 			= (pm_s_keyword + 7),
	pm_sixtypct 			= (pm_s_keyword + 8),
	pm_smallcaps 			= (pm_s_keyword + 9),
	pm_smaller 				= (pm_s_keyword + 10),
	pm_solid 				= (pm_s_keyword + 11),
	pm_spot 				= (pm_s_keyword + 12),
	pm_squares 				= (pm_s_keyword + 13),
	pm_story 				= (pm_s_keyword + 14),
	pm_strikethru 			= (pm_s_keyword + 15),
	pm_stylePalette 		= (pm_s_keyword + 16),
	pm_subscript 			= (pm_s_keyword + 17),
	pm_superscript 			= (pm_s_keyword + 18),
	pm_selectedtext 		= (pm_s_keyword + 19),
	pm_shadowstyle 			= (pm_s_keyword + 20),
	pm_stopatend 			= (pm_s_keyword + 21),
	pm_strikethrustyle 		= (pm_s_keyword + 22),
	pm_savecrop 			= (pm_s_keyword + 23),
	pm_savesep 				= (pm_s_keyword + 24),
	// 'T' Keywords:
	pm_tall 				= (pm_t_keyword + 0),
	pm_template 			= (pm_t_keyword + 1),
	pm_tenpct 				= (pm_t_keyword + 2),
	pm_text 				= (pm_t_keyword + 3),
	pm_textblock 			= (pm_t_keyword + 4),
	pm_thickdash 			= (pm_t_keyword + 5),
	pm_thickthin 			= (pm_t_keyword + 6),
	pm_thindash 			= (pm_t_keyword + 7),
	pm_thinthick 			= (pm_t_keyword + 8),
	pm_thinthickthin 		= (pm_t_keyword + 9),
	pm_thinthin 			= (pm_t_keyword + 10),
	pm_thirtypct 			= (pm_t_keyword + 11),
	pm_thumbnails 			= (pm_t_keyword + 12),
	pm_tight 				= (pm_t_keyword + 13),
	pm_tint 				= (pm_t_keyword + 14),
	pm_top 					= (pm_t_keyword + 15),
	pm_topofcaps 			= (pm_t_keyword + 16),
	pm_transverse 			= (pm_t_keyword + 17),
	pm_true 				= (pm_t_keyword + 18),
	pm_twelvepoint 			= (pm_t_keyword + 19),
	pm_twentypct 			= (pm_t_keyword + 20),
	pm_twopoint 			= (pm_t_keyword + 21),
	pm_tiff 				= (pm_t_keyword + 22),
	pm_topleft 				= (pm_t_keyword + 23),
	pm_topright 			= (pm_t_keyword + 24),
	pm_ttonly 				= (pm_t_keyword + 25),
	pm_textcursortool 		= (pm_t_keyword + 26),
	pm_tiffformat 			= (pm_t_keyword + 27),
	pm_tfcomprnone 			= (pm_t_keyword + 28),
	pm_tfcomprmoderate 		= (pm_t_keyword + 29),
	pm_tfcomprmax 			= (pm_t_keyword + 30),
	pm_tfcomprmaxlossy 		= (pm_t_keyword + 31),
	pm_tfprvwnone 			= (pm_t_keyword + 32),
	pm_tfprvwdraft 			= (pm_t_keyword + 33),
	pm_tfprvwbest 			= (pm_t_keyword + 34),
	pm_tfdatabase 			= (pm_t_keyword + 35),
	pm_tfdatasep 			= (pm_t_keyword + 36),
	pm_tfdatalargeimage 	= (pm_t_keyword + 37),
	pm_tfdepth1bit 			= (pm_t_keyword + 38),
	pm_tfdepth4bit 			= (pm_t_keyword + 39),
	pm_tfdepth8bit 			= (pm_t_keyword + 40),
	pm_tfdepthmils 			= (pm_t_keyword + 41),
	pm_tfnotstrict6 		= (pm_t_keyword + 42),
	pm_tfstrict6 			= (pm_t_keyword + 43),

	// 'U' Keywords:
	pm_underline 			= (pm_u_keyword + 0),
	pm_up 					= (pm_u_keyword + 1),
	pm_upnext 				= (pm_u_keyword + 2),
	pm_upone 				= (pm_u_keyword + 3),
	pm_upperalpha 			= (pm_u_keyword + 4),
	pm_upperroman 			= (pm_u_keyword + 5),
	pm_useattributes 		= (pm_u_keyword + 6),
	pm_underlinestyle 		= (pm_u_keyword + 7),

	// 'V' Keywords:
	pm_vertfew 				= (pm_v_keyword + 0),
	pm_vertlots 			= (pm_v_keyword + 1),
	pm_veryloose 			= (pm_v_keyword + 2),
	pm_verytight 			= (pm_v_keyword + 3),
	pm_vertical 			= (pm_v_keyword + 3),

	// 'W' Keywords:
	pm_word 				= (pm_w_keyword + 0),
	pm_wide 				= (pm_w_keyword + 1),
	pm_wholeword 			= (pm_w_keyword + 2),
	pm_wrap 				= (pm_w_keyword + 3),

	// 'Z' Keywords:
	pm_zoomtool 			= (pm_z_keyword + 0),


	cqdummy2 = 0

};


#endif

// end of PageMakerKeywords.h
