/*
 *--- PageMakerQueries.h --------------------------------------------
 * Copyright 1990-95 Adobe Systems, Inc.  All rights reserved.
 *
 *  This contains the declarations of all the PageMaker
 *	query callbacks.
 *
 * $Revision:   1.10  $
 *
 *
 *
 *------------------------------------------------------------------- */
#ifndef __PageMakerQueries__
#define __PageMakerQueries__
#ifdef __MWERKS__
#pragma once
#endif// Query Section:
#define pm_a_queries		2000
#define pm_b_queries		2100
#define pm_c_queries		2200
#define pm_d_queries		2300
#define pm_e_queries		2400
#define pm_f_queries		2500
#define pm_g_queries		2600
#define pm_h_queries		2700
#define pm_i_queries		2800
#define pm_j_queries		2900
#define pm_k_queries		3000
#define pm_l_queries		3100
#define pm_m_queries		3200
#define pm_n_queries		3300
#define pm_o_queries		3400
#define pm_p_queries		3500
#define pm_q_queries		3600
#define pm_r_queries		3700
#define pm_s_queries		3800
#define pm_t_queries		3900
#define pm_u_queries		4000
#define pm_v_queries		4100
#define pm_w_queries		4200
#define pm_x_queries		4300
#define pm_y_queries		4400
#define pm_z_queries		4500
#define pm_maxquery			4999	
//---------------------------------------------------------	
//	Query Section: Organized alphabetically	
//---------------------------------------------------------
typedef enum{
	
	// 'A' Queries:
	pm_getacrobathandle			= ( pm_a_queries + 4),
	pm_getadditions				= ( pm_a_queries + 0),
	pm_getadditionsdir			= ( pm_a_queries + 3),
	pm_getalignment				= ( pm_a_queries + 1),
	pm_getautoflow				= ( pm_a_queries + 2),

	// 'B' Queries:
	pm_getbasedon				= ( pm_b_queries + 0),
	pm_getblackattributes		= ( pm_b_queries + 2),
	pm_getbook					= ( pm_b_queries + 1),

	// 'C' Queries:
	pm_getcase					= ( pm_c_queries + 0),
	pm_getchangeparaattr		= ( pm_c_queries + 11),
	pm_getchangetypeattr1		= ( pm_c_queries + 12),
	pm_getchangetypeattr2		= ( pm_c_queries + 13),
	pm_getchangewindow			= ( pm_c_queries + 10),
	pm_getcolor					= ( pm_c_queries + 1),
	pm_getcolorinfo				= ( pm_c_queries + 2),
	pm_getcolornames			= ( pm_c_queries + 3),
	pm_getcolorpalette			= ( pm_c_queries + 4),
	pm_getcolumnguides			= ( pm_c_queries + 5),
	pm_getcontrolpalette		= ( pm_c_queries + 6),
	pm_getconvertstr			= ( pm_c_queries + 8),
	pm_getconverttwips			= ( pm_c_queries + 9),
	pm_getcroprect				= ( pm_c_queries + 7),
	pm_getcroprectbox			= ( pm_c_queries + 16),
	pm_getcroprectbyid			= ( pm_c_queries + 17),
	pm_getprinter				= ( pm_c_queries + 14),
	pm_getcmson					= ( pm_c_queries + 15),

	// 'D' Queries:
	pm_getdefaultdir			= ( pm_d_queries + 0),
	pm_getdictionary			= ( pm_d_queries + 1),
	pm_getdisplayspecial		= ( pm_d_queries + 2),
	pm_getdisplaystylenames		= ( pm_d_queries + 3),
	pm_getdefaultprintclrspc	= ( pm_d_queries + 4),

	// 'E' Queries:
	pm_getexportfilters			= ( pm_e_queries + 0),
	pm_getepsfontlist			= ( pm_e_queries + 1),

	// 'F' Queries:
	pm_getfindparaattr			= ( pm_f_queries + 7),
	pm_getfindtypeattr1			= ( pm_f_queries + 8),
	pm_getfindtypeattr2			= ( pm_f_queries + 9),
	pm_getfindwindow			= ( pm_f_queries + 6),
	pm_getfillandline			= ( pm_f_queries + 4),
	pm_getfilllinedlg			= ( pm_f_queries + 5),
	pm_getfillstyle				= ( pm_f_queries + 0),
	pm_getfont					= ( pm_f_queries + 1),
	pm_getfontdrawing			= ( pm_f_queries + 2),
	pm_getfontlist				= ( pm_f_queries + 3),
	pm_getframecontentpos		= ( pm_f_queries + 10),
	pm_getframeinset			= ( pm_f_queries + 11),
	pm_getframecontenttype		= ( pm_f_queries + 12),
	pm_getnextframe				= ( pm_f_queries + 13),
	pm_getisframe				= ( pm_f_queries + 14),

	// 'G' Queries:
	pm_getguides				= ( pm_g_queries + 0),
	pm_getgrouplist				= ( pm_g_queries + 1),

	// 'H' Queries:
	pm_gethorizguides			= ( pm_h_queries + 0),
	pm_gethyphenation			= ( pm_h_queries + 1),
	pm_gethyperlinkinfo			= ( pm_h_queries + 5),
	pm_gethyperlinkpalette		= ( pm_h_queries + 2),
	pm_gethyperlinkcount		= ( pm_h_queries + 3),
	pm_gethyperlinks			= ( pm_h_queries + 4),

	// 'I' Queries:
	pm_getimageframe			= ( pm_i_queries + 0),
	pm_getimageframebyid		= ( pm_i_queries + 12),
	pm_getimportfilters			= ( pm_i_queries + 1),
	pm_getindents				= ( pm_i_queries + 2),
	pm_getinknd					= ( pm_i_queries + 3),
	pm_getinkinfo				= ( pm_i_queries + 4),
	pm_getinknames				= ( pm_i_queries + 5),
	pm_getinlinegraphicinfo		= ( pm_i_queries + 11),
	pm_getixbookmark			= ( pm_i_queries + 6),
	pm_getixbookmarkcount		= ( pm_i_queries + 7),
	pm_getixhyperlink			= ( pm_i_queries + 8),
	pm_getixhyperlinkcount		= ( pm_i_queries + 9),
	pm_getixtitlebookmark		= ( pm_i_queries + 10),

	// 'K' Queries:
	pm_getkern					= ( pm_k_queries + 0),
	pm_getkerntext				= ( pm_k_queries + 1),

	// 'L' Queries:
	pm_getlasterror				= ( pm_l_queries + 0),
	pm_getlasterrorstr			= ( pm_l_queries + 1),
	pm_getlayerlist				= ( pm_l_queries + 14),
	pm_getlayeroptions			= ( pm_l_queries + 15),
	pm_getleading				= ( pm_l_queries + 2),
	pm_getletterspace			= ( pm_l_queries + 3),
	pm_getlibcolorinfo			= ( pm_l_queries + 11),
	pm_getlibinfo				= ( pm_l_queries + 12),
	pm_getlinebreak				= ( pm_l_queries + 4),
	pm_getlinebreakloc			= ( pm_l_queries + 5),
	pm_getlinestyle				= ( pm_l_queries + 6),
	pm_getlinkinfo				= ( pm_l_queries + 7),
	pm_getlinkoptions			= ( pm_l_queries + 8),
	pm_getlinks					= ( pm_l_queries + 9),
	pm_getlockguides			= ( pm_l_queries + 10),
	pm_getlock					= ( pm_l_queries + 13),
	pm_getlayadjopts			= ( pm_l_queries + 16),
	pm_getlayerpalette			= ( pm_l_queries + 17),
	pm_getlayerfromid			= ( pm_l_queries + 18),

	// 'M' Queries
	pm_getmasteritems			= ( pm_m_queries + 0),
	pm_getmeasureunits			= ( pm_m_queries + 1),
	pm_getmultpasteoffset		= ( pm_m_queries + 2),
	pm_getmasterpagepalette		= (	pm_m_queries + 4),
	pm_getmasterpage			= ( pm_m_queries + 5),
	pm_getmasterpagename		= ( pm_m_queries + 6),
	pm_getmasterpageinfo		= ( pm_m_queries + 7),
	pm_getmasterpagelist		= ( pm_m_queries + 8),

	// 'N' Queries:
	pm_getnextstyle				= ( pm_n_queries + 0),
	pm_getdisplaynonprinting	= ( pm_n_queries + 1),
	pm_getnonprinting			= ( pm_n_queries + 2),

	// 'O' Queries:
	pm_getobjectidlist			= ( pm_o_queries + 2),
	pm_getobjectlist			= ( pm_o_queries + 0),
	pm_getobjectloc				= ( pm_o_queries + 1),

	// 'P' Queries:
	pm_getpageimage				= ( pm_p_queries + 0),
	pm_getpagemargins			= ( pm_p_queries + 1),
	pm_getpagenumber			= ( pm_p_queries + 2),
	pm_getpagenumbers			= ( pm_p_queries + 3),
	pm_getpageoptions			= ( pm_p_queries + 4),
	pm_getpagerect				= ( pm_p_queries + 5),
	pm_getpages					= ( pm_p_queries + 6),
	pm_getpagesize				= ( pm_p_queries + 7),
	pm_getparaoptions			= ( pm_p_queries + 8),
	pm_getparaspace				= ( pm_p_queries + 9),
	pm_getpminfo				= ( pm_p_queries + 10),
	pm_getpmstate				= ( pm_p_queries + 11),
	pm_getpreferences			= ( pm_p_queries + 12),
	pm_getprinterresol			= ( pm_p_queries + 41),
	pm_getpubname				= ( pm_p_queries + 13),
	pm_getpubwindowrect			= ( pm_p_queries + 14),
	pm_getpubwindows			= ( pm_p_queries + 15),
	pm_getprintcaps				= ( pm_p_queries + 16),
	pm_getprintcolor			= ( pm_p_queries + 17),
	pm_getprintdoc				= ( pm_p_queries + 18),
	pm_getprintink				= ( pm_p_queries + 19),
	pm_getprintoptions			= ( pm_p_queries + 20),
	pm_getprintoptionsps		= ( pm_p_queries + 21),
	pm_getprintpaperps			= ( pm_p_queries + 22),
	pm_getprintps				= ( pm_p_queries + 23),
	pm_getprintscreens			= ( pm_p_queries + 24),
	pm_getprintto				= ( pm_p_queries + 25),
	pm_getpapersources			= ( pm_p_queries + 26),
	pm_getpapersizes			= ( pm_p_queries + 27),
	pm_getprintppds				= ( pm_p_queries + 28),
	pm_getprinterlist			= ( pm_p_queries + 29),
	pm_getpolygonattribs		= ( pm_p_queries + 40),
	pm_getprivatedata			= ( pm_p_queries + 30),
	//string4 vendID, string4 addnID, word targetclass (convert to CIX), ulong usercontext, ulong targetRID
	//return size, flags, and handle to data retrieved  
	pm_getprivatestring			= ( pm_p_queries + 31),
	//string4 vendID, string4 addnID, word targetclass (convert to CIX), ulong usercontext, ulong targetRID
	//return flags, and private data string
	pm_getprivatelist			= ( pm_p_queries + 32),
	//string4 vendID, string4 addnID, word targetclass (convert to CIX), ulong usercontext
	//return Count: vendID, addnID, targetclass, usercontext, object id,flags, size, 
	//Note: Since input vendID, addnID, class, and usercontext can be dontcare (i.e., get 'all', need to return these)
	//This query is intended for debugging/testing purposes.
	pm_getpageid				= ( pm_p_queries + 33),
	pm_getpagenumberbyid		= ( pm_p_queries + 34),
	pm_getpickers				= ( pm_p_queries + 35),
	pm_getprintfeaturetitles	= ( pm_p_queries + 36),
	pm_getprintfeatureitems		= ( pm_p_queries + 37),
	pm_getprintfeature			= ( pm_p_queries + 38),
	pm_getprinterstyles			= ( pm_p_queries + 39),
	pm_getppdfontlocation		= ( pm_p_queries + 42),
	pm_getpmlanguage			= ( pm_p_queries + 43),

	pm_getpasteremembers		= ( pm_p_queries + 44),

	pm_getpolygontype			= ( pm_p_queries + 45),
	pm_getpolygonmiterlimit		= ( pm_p_queries + 46),
	pm_getpolygonvertices		= ( pm_p_queries + 47),
	pm_getpagehistory			= ( pm_p_queries + 48),
	pm_getpalettefontinfo		= ( pm_p_queries + 49),

	// 'R' Queries:
	pm_getrotation				= ( pm_r_queries + 0),
	pm_getroundedcorners		= ( pm_r_queries + 1),
	pm_getruleabove				= ( pm_r_queries + 2),
	pm_getrulebelow				= ( pm_r_queries + 3),
	pm_getruleoptions			= ( pm_r_queries + 4),
	pm_getrulers				= ( pm_r_queries + 5),
	pm_getrecorder				= ( pm_r_queries + 6),

	// 'S' Queries:
	pm_getscreenfont			= ( pm_s_queries + 0),
	pm_getscrollbars			= ( pm_s_queries + 1),
	pm_getselectidlist			= ( pm_s_queries + 18),
	pm_getselectlist			= ( pm_s_queries + 2),
	pm_getselectinfo			= ( pm_s_queries + 13),
	pm_getshowerroralert		= ( pm_s_queries+17),
	pm_getsize					= ( pm_s_queries + 3),
	pm_getsnaptoguides			= ( pm_s_queries + 4),
	pm_getsnaptorulers			= ( pm_s_queries + 5),
	pm_getspaceoptions			= ( pm_s_queries + 6),
	pm_getspellresult			= ( pm_s_queries + 20),
	pm_getspellwindow			= ( pm_s_queries + 19),
	pm_getstoryeditpref			= ( pm_s_queries + 7),
	pm_getstoryid				= ( pm_s_queries + 22),
	pm_getstoryidlist			= ( pm_s_queries + 14),
	pm_getstorylist				= ( pm_s_queries + 8),
	pm_getstorytext				= ( pm_s_queries + 9),
	pm_getstyle					= ( pm_s_queries + 10),
	pm_getstylenames			= ( pm_s_queries + 11),
	pm_getstylepalette			= ( pm_s_queries + 12),
	pm_getsuppressautosave		= ( pm_s_queries + 21),
	pm_getsuppresspaldraw		= ( pm_s_queries+16),
	pm_getsupressprint			= ( pm_s_queries + 15),
	pm_getsuppressprint			= ( pm_s_queries + 15),
	pm_getsavestatus			= ( pm_s_queries + 23),

	// 'T' Queries:
	pm_gettabs					= ( pm_t_queries + 0),
	pm_gettargetprinter			= ( pm_t_queries + 1),
	pm_gettextbounds			= ( pm_t_queries + 2),
	pm_gettextlocation			= ( pm_t_queries + 15),
	pm_gettextcursor			= ( pm_t_queries + 11),
	pm_gettextrun				= ( pm_t_queries + 12),
	pm_gettextwrap				= ( pm_t_queries + 3),
	pm_gettextwrappoly			= ( pm_t_queries + 4),
	pm_gettint					= ( pm_t_queries + 14),
	pm_gettocbookmark			= ( pm_t_queries + 21),
	pm_gettocbookmarkcount		= ( pm_t_queries + 22),
	pm_gettochyperlink			= ( pm_t_queries + 23),
	pm_gettochyperlinkcount		= ( pm_t_queries + 24),
	pm_gettocindexid			= ( pm_t_queries + 13),
	pm_gettoctitlebookmark		= ( pm_t_queries + 25),
	pm_gettoolbox				= ( pm_t_queries + 5),
	pm_gettrack					= ( pm_t_queries + 6),
	pm_gettransform				= ( pm_t_queries + 7),
	pm_gettool					= ( pm_t_queries + 17),
	pm_getobjectidlisttop		= ( pm_t_queries + 18),
	pm_getselectidlisttop		= ( pm_t_queries + 19),
	pm_gettrapsettings			= ( pm_t_queries + 16),
	pm_gettypeoptions			= ( pm_t_queries + 8),
	pm_gettypeposition			= ( pm_t_queries + 9),
	pm_gettypestyle				= ( pm_t_queries + 10),
	pm_getnobreak				= ( pm_t_queries + 20),
	pm_gettargetlayer			= ( pm_t_queries + 26),

	// 'U' Queries:
	pm_getprintscreenrgbs		= ( pm_u_queries + 0),
	pm_getprintepspreviews		= ( pm_u_queries + 1),

	// 'V' Queries:
	pm_getvertguides			= ( pm_v_queries + 0),
	pm_getview					= ( pm_v_queries + 1),

	// 'W' Queries:
	pm_getwidth					= ( pm_w_queries + 0),
	pm_getwordspace				= ( pm_w_queries + 1),

	// 'X' Queries:
	// 'Y' Queries:

	// 'Z' Queries:
	// out of order for compatability
	pm_getzerolock				= ( pm_z_queries + 1),
	pm_getzeropoint				= ( pm_z_queries + 0)
	
} ePMQuery;
#endif // end of PageMakerQueries.h